org.apache.lucene.util.fst

## Class Builder.UnCompiledNode<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Builder.UnCompiledNode<T>

- Enclosing class:
    Builder<T>

      public static final class Builder.UnCompiledNode<T>
      extends Object

  Expert: holds a pending (seen but not yet serialized) Node.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Builder.Arc<T>[]` | `arcs`
    `int` | `depth` This node's depth, starting from the automaton root.
    `long` | `inputCount`
    `boolean` | `isFinal`
    `int` | `numArcs`
    `T` | `output`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnCompiledNode(Builder<T> owner, int depth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArc(int label, org.apache.lucene.util.fst.Builder.Node target)`
    `void` | `clear()`
    `void` | `deleteLast(int label, org.apache.lucene.util.fst.Builder.Node target)`
    `T` | `getLastOutput(int labelToMatch)`
    `boolean` | `isCompiled()`
    `void` | `prependOutput(T outputPrefix)`
    `void` | `replaceLast(int labelToMatch, org.apache.lucene.util.fst.Builder.Node target, T nextFinalOutput, boolean isFinal)`
    `void` | `setLastOutput(int labelToMatch, T newOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numArcs

          public int numArcs

    - #### arcs

          public Builder.Arc<T>[] arcs

    - #### output

          public T output

    - #### isFinal

          public boolean isFinal

    - #### inputCount

          public long inputCount

    - #### depth

          public final int depth

      This node's depth, starting from the automaton root.

  - ### Constructor Detail

    - #### UnCompiledNode

          public UnCompiledNode(Builder<T> owner,
                                int depth)

      Parameters:
        `depth` - The node's depth starting from the automaton root. Needed for LUCENE-2934 (node expansion based on conditions other than the fanout size).

  - ### Method Detail

    - #### isCompiled

          public boolean isCompiled()

    - #### clear

          public void clear()

    - #### getLastOutput

          public T getLastOutput(int labelToMatch)

    - #### addArc

          public void addArc(int label,
                             org.apache.lucene.util.fst.Builder.Node target)

    - #### replaceLast

          public void replaceLast(int labelToMatch,
                                  org.apache.lucene.util.fst.Builder.Node target,
                                  T nextFinalOutput,
                                  boolean isFinal)

    - #### deleteLast

          public void deleteLast(int label,
                                 org.apache.lucene.util.fst.Builder.Node target)

    - #### setLastOutput

          public void setLastOutput(int labelToMatch,
                                    T newOutput)

    - #### prependOutput

          public void prependOutput(T outputPrefix)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.